#ifndef HEAD
#define HEAD

#include <stdio.h>
#include <locale.h>
#include <wchar.h>


// GET
int queryinput(int *x, int *inbuf, int *query);


// FUNC
void func1(char **f, int *x, int inquery, int *query);

void func2(char **f, int *x, int inquery, int *query, int *ch);

void func3(char **f, int *x, int inquery, int *query);

int last(int inquery,int *query);

void put(int *x,int i,int inquery,int *query);

void printcount(int *x);

int str(char *a,char *b);

int strquery(char *a,int *b);

int funcReturn(char *f);

// DEFINE
#define clear printf("\n \033[H\033[J \n")

#define QUERYMAX 40
#define XMAX 40
#endif
